Jump to content
mfrederic4

Mise à jour [1.4.6.2 => 1.5.2.0] "erreur 34"

Recommended Posts

Bonjour,

 

Après avoir effectué une mise à jour prestashop 1.4.6.2 vers 1.5.2.0 en local, j'ai le code d'erreur au début du résultat XML suivant:

 

 

<action result="fail" error="34" />

 

qui signifie: Erreur SQL interne.

 

avec comme solution possible indiquée:

Les fichiers de mise à jour SQL sont sans doute corrompus. Retéléchargez l'archive de la nouvelle version, et utilisez les fichiers du dossier /install/upgrade/sql de cette archive.

 

Mais je ne comprends pas ce que je dois modifier!

Si quelqu'un peut m'aider et me renseigner?

 

Par avance merci

Fred

Edited by mfrederic4 (see edit history)

Share this post


Link to post
Share on other sites

Bonjour,

 

J'ai actuellement le même problème. Il semblerait que le script de mise à jour de la base de données ne soit pas encore au point

 

Pour répondre à ta question : "Mais je ne comprends pas ce que je dois modifier!"

 

Je pense qu'il n y'a rien à modifier puisque ces fichiers dans l'install upgrade sql sont issus de la dernière version 1.5.2 stable.

 

Je ne vois pas quel est l’intérêt de recharger de nouveau ces même fichiers...J'ai même essayer les fichiers de la version développeur pensant que des corrections avaient pu être apportés. Malheureusement, les mêmes erreurs SQL persistent, 109 au total

 

Je me demande si nous sommes les seuls à avoir ce problème d'erreur SQL, est-ce que des personnes ont pu mettre à jour leur presta avec une BDD antérieure à la 1.5 ?

 

Merci pour vos retours, vos témoignages, ou encore mieux, vos solutions.

 

Raphael

Share this post


Link to post
Share on other sites

Bonjour,

 

Même erreur 34 pour moi... impossible de faire un update de 1.4.9 à 1.5.2 en local.

 

Je pensais que l'erreur venait de MAMP mais apparemment non :/

Share this post


Link to post
Share on other sites

Je peux rajouter que dans mon cas je suis complètement coincé, puisqu'une mise à jour automatique n'a pas fonctionné non plus (voir mon autre post)!

 

Si je voulais repartir d'une base saine (1.5.2.0) quelle table faudrait-il conserver (1.4.6.2 ou 1.4.9.0)?

 

Merci de votre aide.

Edited by mfrederic4 (see edit history)

Share this post


Link to post
Share on other sites

Bonjour,

 

J'ai également rencontré le même problème de 1.4.8.3 vers 1.5.2.

 

Il s'agit bien d'erreur dans les bases sql de l'upgrade je pense.

 

Mais il doit bien avoir une solution, perso ça fait deux jours que je cherche...

Share this post


Link to post
Share on other sites

Bonjour,

 

Je vois que je ne suis pas le seul concerné.

J'ai vraiment essayé toutes les solutions : MaJ automatique, manuelle, en local avec Xampp, avec wamp. base de données de différents formats/tailles, sources. Modifié le Php.ini, le my.ini

J'ai épluché tous les posts relatifs aux erreurs de ce type à la recherche du moindre indice

 

Mais rien n y' fait : toujours le même résultat.

 

Je voudrais tourner la page mais avant tout juste savoir :

 

Si les fichiers de l'upgrade SQL sont corrompus alors aucune MaJ de la 1.4 à la 1.5 est possible et par conséquent personne aurait réussi sa mise à jour

 

Est-ce le cas ? (perso, je n'y crois pas)

 

Merci à tous les chanceux de se manifester et nous faire savoir si l'on doit persévérer.

 

Amicalement,

Share this post


Link to post
Share on other sites

En effet petite prise de tête cette transition de 1.4.9 en 1.5.x

 

De mon coté le meilleur résultat (ou le mons pire) :

- désactiver et désinstaller tous les modules,

- supprimer tous les modules autres que prestashop,

- supprimer mon thème perso,

- installer et activer le module autoupgrade 0.9.3

 

Dans Outils / Upgrade :

 

//Options de màj :

- Désactiver les modules non-natifs : oui (on ne sais jamais)

- Mettre à jour le thème "default" (le thème par défaut de PrestaShop)

 

//Mode expert :

- Canal : répertoire local

- Le répertoire /admin/autoupgrade/latest/prestashop/ sera utilsié pour la mise à jour vers la version : 1.5.0

 

Ne pas oublier de mettre un prestashop tout beau tout neuf dans /admin/autoupgrade/latest/prestashop/

 

Sauver puis lancer la mise à jour... de mon coté aucune erreur pendant la mise à jour (miracle ?) mais impossible de se connecter au back office par la suite. Erreur 500.

 

C'est pas gagné mais c'est un début.

 

Si un gars de prestashop passe par là, ce serait cool mettre une piste sinon je vais être obligé de jouer avec les bases de données et "What else" va augmenter son CA...

Edited by Weetabix40 (see edit history)

Share this post


Link to post
Share on other sites

Du mieux avec XAMPP.

 

Je viens de réinstaller XAMPP sur OSX :

XAMPP : http://www.apachefri...mpp-macosx.html

 

---

Mise à jour de phpmyadmin :

 

PhpMyAdmin : http://www.phpmyadmi...e/downloads.php

- Extraire le .ZIP et renommer le dossier en "phpmyadmin"

 

Dans /Applications/XAMPP/xamppfiles/

- Renommer le fichier "phpmyadmin" en "phpmyadminOLD"

- Transférer le nouveau fichier phpmyadmin (celui téléchargé)

- Récupérer le fichier "config.inc.php" de phpmyadminOLD pour le transférer dans "phpmyadmin" (nouveau)

 

Paramétrer XAMPP pour une utilisation avec une grosse base de donnée :

- Editer "my.cnf" dans /Applications/XAMPP/xamppfiles/etc/

 

Trouver les 2 directives "max_allowed_packet = xx" et attribuer une valeur plus élevée (par exemple "max_allowed_packet = 250M")

 

Relancer les serveurs Apache et MySQL de XAMPP.

 

---

Mise à jour Prestashop :

 

Prérequis :

- désactiver et désinstaller tous les modules,

- supprimer tous les modules autres que prestashop,

- supprimer mon thème perso (car certainement non compatible avec la 1.5)

- installer et activer le module autoupgrade (dernière version)

Module autoupgrade : http://addons.presta...utoupgrade.html

 

Dans Outils / Upgrade :

 

//Options de màj :

- Désactiver les modules non-natifs : oui (on ne sais jamais)

- Mettre à jour le thème "default" (le thème par défaut de PrestaShop)

 

//Mode expert :

- Canal : répertoire local

- Le répertoire /admin/autoupgrade/latest/prestashop/ sera utilsié pour la mise à jour vers la version : 1.5.2.0

 

Ne pas oublier de mettre un prestashop tout beau tout neuf dans /admin/autoupgrade/latest/prestashop/

Prestashop : http://www.prestasho.../telechargement

 

---

BILAN :

 

La mise à jour se déroule "presque normalement" et la version 1.5.2.0 de prestashop semble fonctionnelle après plusieurs tests :D

 

Donc pour le presque... quelques petites erreurs SQL dans la base de données <_<

 

[ERROR] SQL 1.5.0.1 1050 in RENAME TABLE `ps_payment_cc` TO `ps_order_payment`: Table 'ps_order_payment' already exists

[ERROR] SQL 1.5.0.2 1054 in INSERT IGNORE INTO `ps_order_payment` (`id_order_invoice`, `id_order`, `id_currency`, `amount`, `payment_method`, `conversion_rate`, `date_add`) ( SELECT ( SELECT oi.`id_order_invoice` FROM `ps_order_invoice` oi WHERE oi.`id_order` = o.`id_order` ), o.`id_order`, o.`id_currency`, o.`total_paid_real`, o.`payment`, o.`conversion_rate`, o.`date_add` FROM `ps_orders` o LEFT JOIN `ps_order_payment` op ON (op.`id_order` = o.`id_order`) WHERE op.`id_order_payment` IS NULL ): Unknown column 'id_order_invoice' in 'field list'

[ERROR] SQL 1.5.0.13 1054 in INSERT INTO `ps_order_invoice_payment` (SELECT id_order_invoice, id_order_payment, id_order FROM `ps_order_payment` WHERE id_order_invoice > 0): Unknown column 'id_order_invoice' in 'field list'

[ERROR] SQL 1.5.0.13 1091 in -- Step 4: Drop collumn id_order ALTER TABLE `ps_order_payment` DROP COLUMN `id_order`, DROP COLUMN `id_order_invoice`: Can't DROP 'id_order_invoice'; check that column/key exists

 

Mais bon, c'est déjà nettement mieux !

Edited by Weetabix40 (see edit history)

Share this post


Link to post
Share on other sites

Salut à tous. Si cela peut vous aider vous ou d'autres qui passeront par la. Sachez que les outils d'analyse de Prestashop bouffe énormément de poids sur la base de donnée rendant celle-ci énorme... En supprimant ces données trop encombrantes, vous facilitez le processus de mise à jour.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More